Bug 73554 - raidhotremove of active disk triggers kernel "bug in file md.c, line 2344"
raidhotremove of active disk triggers kernel "bug in file md.c, line 2344"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-05 22:19 EDT by Darren Tucker
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darren Tucker 2002-09-05 22:19:35 EDT
From Bugzilla Helper:

Description of problem:
Attempting to raidhotremove an active disk  fails (which is fine) but also triggers a  "bug in file md.c, line 2344" kernel message.

Version-Release number of selected component (if applicable):
kernel-2.4.9-34
raidtools-0.90-24

How reproducible:
Always

Steps to Reproduce:
Given the following RAID-1 configuration (2 x 2GB IDE disks):
# cat /proc/mdstat 
Personalities : [raid1] 
read_ahead 1024 sectors
md2 : active raid1 hda3[1] hdc3[0]
      86592 blocks [2/2] [UU]
      
md0 : active raid1 hda2[1] hdc2[0]
      1963520 blocks [2/2] [UU]
      
md1 : active raid1 hda1[1] hdc1[0]
      11968 blocks [2/2] [UU]
      
unused devices: <none>
1. raidhotremove /dev/md1 /dev/hdc1
2. dmesg
	

Actual Results: 
 # rpm -q kernel raidtools
kernel-2.4.9-34
raidtools-0.90-24
# raidhotremove /dev/md1 /dev/hdc1
/dev/md1: can not hot-remove disk: disk busy!
# dmesg
[snip]
md: trying to remove hdc1 from md1 ... 
md: bug in file md.c, line 2344

md:     **********************************
md:     * <COMPLETE RAID STATE PRINTOUT> *
md:     **********************************
md2: <hda3><hdc3> array superblock:
md:  SB: (V:0.90.0) ID:<d07555b9.992db18e.093f16b5.08a211cc> CT:3af89454
md:     L1 S00086592 ND:3 RD:2 md2 LO:0 CS:32768
md:     UT:3d780019 ST:0 AD:2 WD:2 FD:1 SD:0 CSUM:9d21e6e0 E:0000008e
     D  0:  DISK<N:0,hdc3(22,3),R:0,S:6>
     D  1:  DISK<N:1,hda3(3,3),R:1,S:6>
     D  2:  DISK<N:2,[dev 00:00](0,0),R:2,S:9>
md:     THIS:  DISK<N:1,hda3(3,3),R:1,S:6>
md: rdev hda3: O:hda3, SZ:00086592 F:0 DN:1 md: rdev superblock:
md:  SB: (V:0.90.0) ID:<d07555b9.992db18e.093f16b5.08a211cc> CT:3af89454
md:     L1 S00086592 ND:3 RD:2 md2 LO:0 CS:32768
md:     UT:3d780019 ST:0 AD:2 WD:2 FD:1 SD:0 CSUM:9d21e710 E:0000008e
     D  0:  DISK<N:0,hdc3(22,3),R:0,S:6>
     D  1:  DISK<N:1,hda3(3,3),R:1,S:6>
     D  2:  DISK<N:2,[dev 00:00](0,0),R:2,S:9>
md:     THIS:  DISK<N:1,hda3(3,3),R:1,S:6>
md: rdev hdc3: O:hdc3, SZ:00086592 F:0 DN:0 md: rdev superblock:
md:  SB: (V:0.90.0) ID:<d07555b9.992db18e.093f16b5.08a211cc> CT:3af89454
md:     L1 S00086592 ND:3 RD:2 md2 LO:0 CS:32768
md:     UT:3d780019 ST:0 AD:2 WD:2 FD:1 SD:0 CSUM:9d21e721 E:0000008e
     D  0:  DISK<N:0,hdc3(22,3),R:0,S:6>
     D  1:  DISK<N:1,hda3(3,3),R:1,S:6>
     D  2:  DISK<N:2,[dev 00:00](0,0),R:2,S:9>
md:     THIS:  DISK<N:0,hdc3(22,3),R:0,S:6>
md0: <hda2><hdc2> array superblock:
md:  SB: (V:0.90.0) ID:<84265c24.6e5902a3.692c07de.f37ce443> CT:3af89435
md:     L1 S01963520 ND:3 RD:2 md0 LO:0 CS:32768
md:     UT:3d780019 ST:0 AD:2 WD:2 FD:1 SD:0 CSUM:70e2a59d E:0000008e
     D  0:  DISK<N:0,hdc2(22,2),R:0,S:6>
     D  1:  DISK<N:1,hda2(3,2),R:1,S:6>
     D  2:  DISK<N:2,[dev 00:00](0,0),R:2,S:9>
md:     THIS:  DISK<N:1,hda2(3,2),R:1,S:6>
md: rdev hda2: O:hda2, SZ:01963520 F:0 DN:1 md: rdev superblock:
md:  SB: (V:0.90.0) ID:<84265c24.6e5902a3.692c07de.f37ce443> CT:3af89435
md:     L1 S01963520 ND:3 RD:2 md0 LO:0 CS:32768
md:     UT:3d780019 ST:0 AD:2 WD:2 FD:1 SD:0 CSUM:70e2a5cd E:0000008e
     D  0:  DISK<N:0,hdc2(22,2),R:0,S:6>
     D  1:  DISK<N:1,hda2(3,2),R:1,S:6>
     D  2:  DISK<N:2,[dev 00:00](0,0),R:2,S:9>
md:     THIS:  DISK<N:1,hda2(3,2),R:1,S:6>
md: rdev hdc2: O:hdc2, SZ:01963520 F:0 DN:0 md: rdev superblock:
md:  SB: (V:0.90.0) ID:<84265c24.6e5902a3.692c07de.f37ce443> CT:3af89435
md:     L1 S01963520 ND:3 RD:2 md0 LO:0 CS:32768
md:     UT:3d780019 ST:0 AD:2 WD:2 FD:1 SD:0 CSUM:70e2a5de E:0000008e
     D  0:  DISK<N:0,hdc2(22,2),R:0,S:6>
     D  1:  DISK<N:1,hda2(3,2),R:1,S:6>
     D  2:  DISK<N:2,[dev 00:00](0,0),R:2,S:9>
md:     THIS:  DISK<N:0,hdc2(22,2),R:0,S:6>
md1: <hda1><hdc1> array superblock:
md:  SB: (V:0.90.0) ID:<26f8fee6.a672ebe9.42ed52e4.f1ba8c2d> CT:3af8944c
md:     L1 S00011968 ND:3 RD:2 md1 LO:0 CS:32768
md:     UT:3d780019 ST:0 AD:2 WD:2 FD:1 SD:0 CSUM:23b05d6c E:00000090
     D  0:  DISK<N:0,hdc1(22,1),R:0,S:6>
     D  1:  DISK<N:1,hda1(3,1),R:1,S:6>
     D  2:  DISK<N:2,[dev 00:00](0,0),R:2,S:9>
md:     THIS:  DISK<N:1,hda1(3,1),R:1,S:6>
md: rdev hda1: O:hda1, SZ:00011968 F:0 DN:1 md: rdev superblock:
md:  SB: (V:0.90.0) ID:<26f8fee6.a672ebe9.42ed52e4.f1ba8c2d> CT:3af8944c
md:     L1 S00011968 ND:3 RD:2 md1 LO:0 CS:32768
md:     UT:3d780019 ST:0 AD:2 WD:2 FD:1 SD:0 CSUM:23b05d9c E:00000090
     D  0:  DISK<N:0,hdc1(22,1),R:0,S:6>
     D  1:  DISK<N:1,hda1(3,1),R:1,S:6>
     D  2:  DISK<N:2,[dev 00:00](0,0),R:2,S:9>
md:     THIS:  DISK<N:1,hda1(3,1),R:1,S:6>
md: rdev hdc1: O:hdc1, SZ:00011968 F:0 DN:0 md: rdev superblock:
md:  SB: (V:0.90.0) ID:<26f8fee6.a672ebe9.42ed52e4.f1ba8c2d> CT:3af8944c
md:     L1 S00011968 ND:3 RD:2 md1 LO:0 CS:32768
md:     UT:3d780019 ST:0 AD:2 WD:2 FD:1 SD:0 CSUM:23b05dad E:00000090
     D  0:  DISK<N:0,hdc1(22,1),R:0,S:6>
     D  1:  DISK<N:1,hda1(3,1),R:1,S:6>
     D  2:  DISK<N:2,[dev 00:00](0,0),R:2,S:9>
md:     THIS:  DISK<N:0,hdc1(22,1),R:0,S:6>
md:     **********************************

md: cannot remove active disk hdc1 from md1 ... 

Expected Results:  Should not generate kernel errors.

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:39:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.